# -*- coding: utf-8 -*-

# FOGLAMP_BEGIN
# See: http://foglamp.readthedocs.io/
# FOGLAMP_END

from aiohttp import web

__author__ = "Ashish Jabble"
__copyright__ = "Copyright (c) 2021, Dianomic Systems Inc."
__license__ = "Apache 2.0"
__version__ = "${VERSION}"

__all__ = ('AuthenticationIsOptional', 'VerificationFailed', 'ConflictError')


class AuthenticationIsOptional(web.HTTPPreconditionFailed):
    pass

class VerificationFailed(web.HTTPUnauthorized):
    pass

class ConflictError(web.HTTPConflict):
    def __init__(self, message):
        super().__init__(reason=message)
        self.message = message

